Subject: Re: bug#33107: guix pull error

From: [email-masked] (Ludovic Courtès)
Date: Mon, 22 Oct 2018 19:02:24 +0200

Hello Marcel,

Marcel Schilling <[email-masked]> skribis:

> I did unset GUIX_PACKAGE_PATH between the first and the second attempt so
> maybe it was related to some package definition depending on one that was
> not yet in the Guix I had. If that was the problem it should be solved
> when I finally switch to channels (soon(tm)).

OK.  Setting GUIX_PACKAGE_PATH normally should cause such problems
though, so perhaps there’s still a Guix bug hiding there.

If you can reproduce the problem by setting GUIX_PACKAGE_PATH, I’d be
interested in getting more details about the issue such as the backtrace
‘guix pull’ printed.

> Sorry for the noise.

No problem!

Thanks,
Ludo’.